Bug 812205 - Maven client gets 400 Bad Request using pushTrans option
Maven client gets 400 Bad Request using pushTrans option
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: 1.6-alpha-1
Assigned To: Carlos Munoz
Joyce Chang
Depends On:
  Show dependency treegraph
Reported: 2012-04-13 01:43 EDT by Ding-Yi Chen
Modified: 2013-03-03 22:19 EST (History)
5 users (show)

See Also:
Fixed In Version: maven client 1.6.0-alpha-3-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-21 20:58:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Maven client log (3.67 KB, application/octet-stream)
2012-04-13 01:43 EDT, Ding-Yi Chen
no flags Details
Server log (646 bytes, application/octet-stream)
2012-04-13 02:36 EDT, Ding-Yi Chen
no flags Details
Source pot (600 bytes, application/vnd.ms-powerpoint)
2012-04-13 02:39 EDT, Ding-Yi Chen
no flags Details
Translation to be pushed with pushTrans (1.37 KB, application/octet-stream)
2012-04-13 02:40 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Description Ding-Yi Chen 2012-04-13 01:43:55 EDT
Created attachment 577226 [details]
Maven client log

Description of problem:
It looks like maven can no longer push with -Dzanata.pushTrans

Version-Release number of selected component (if applicable):
client API version: 1.6-SNAPSHOT, server API version: 1.6-SNAPSHOT
[WARNING] client API timestamp is 20120412-1426, but server API timestamp is 20120413-0001

How reproducible:
Quite a lot of time

Steps to Reproduce:
1. Server enable locale ja
2. Project/Version to be pushed "AboutFedora/f13"
3. edit zanata.xml as follows:
<config xmlns="http://zanata.org/namespace/config/">
    <locale map-from="ja-JP">ja</locale>

4. mvn -e zanata:push -B -Dzanata.pushTrans
Actual results:
[ERROR] Failed to execute goal org.zanata:zanata-maven-plugin:1.6-SNAPSHOT:push (default-cli) on project null: Zanata mojo exception: operation returned 400 (Bad Request): empty TextFlowTarget 6bb2aaa48c3a478925800ff269953856 must have ContentState New, uri: http://zanata-empire.lab.eng.bne.redhat.com:8080/rest/projects/p/UserGuide/iterations/i/f14/r, annotations: [@javax.ws.rs.PUT(), @javax.ws.rs.Path(value={id}/translations/{locale})] -> [Help 1]

See attached client.log and server.log for details.

Expected results:
Translation pushed without error

Additional info:
Python client seems working fine.
Comment 1 Sean Flanigan 2012-04-13 01:57:47 EDT
Could you please attach the PO file you were using?
Comment 2 Ding-Yi Chen 2012-04-13 02:36:47 EDT
Created attachment 577237 [details]
Server log
Comment 3 Ding-Yi Chen 2012-04-13 02:39:04 EDT
Created attachment 577238 [details]
Source pot
Comment 4 Ding-Yi Chen 2012-04-13 02:40:16 EDT
Created attachment 577239 [details]
Translation to be pushed with pushTrans
Comment 5 Carlos Munoz 2012-04-17 23:41:03 EDT
Changed the way the PO file reader determines the state of a translation unit based on its content(s).

Comment 6 Sean Flanigan 2012-04-19 00:28:42 EDT
This should be fixed now, but note bug 814006 concerning plural forms and invalid PO files.
Comment 7 Joyce Chang 2012-05-02 01:17:01 EDT
verified with maven client 1.6.0-alpha-3-SNAPSHOT

Note You need to log in before you can comment on or make changes to this bug.